public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/numpydoc/
Date: Mon, 19 Oct 2015 16:29:36 +0000 (UTC)	[thread overview]
Message-ID: <1445272151.7f3f531753c50c9dea30b7b74c79112d1bb07a68.jlec@gentoo> (raw)

commit:     7f3f531753c50c9dea30b7b74c79112d1bb07a68
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 15:11:52 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 16:29:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f3f5317

dev-python/numpydoc: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/numpydoc/numpydoc-0.5.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-python/numpydoc/numpydoc-0.5.ebuild b/dev-python/numpydoc/numpydoc-0.5.ebuild
index 69b9e0e..81bf903 100644
--- a/dev-python/numpydoc/numpydoc-0.5.ebuild
+++ b/dev-python/numpydoc/numpydoc-0.5.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 inherit distutils-r1 vcs-snapshot
 
@@ -16,11 +17,14 @@ SLOT="0"
 KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
 IUSE="test"
 
-RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+RDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
 	dev-python/sphinx[${PYTHON_USEDEP}]"
-DEPEND="test? ( ${RDEPEND}
+DEPEND="
+	test? ( ${RDEPEND}
 		dev-python/nose[${PYTHON_USEDEP}]
-		>=dev-python/matplotlib-1.4.0[${PYTHON_USEDEP}] )"
+		>=dev-python/matplotlib-1.4.0[${PYTHON_USEDEP}]
+	)"
 
 python_prepare_all() {
 	chmod -R a+r *.egg-info || die
@@ -28,5 +32,5 @@ python_prepare_all() {
 }
 
 python_test() {
-	nosetests || die "Testing failed with ${EPYTHON}"
+	nosetests --verbose || die "Testing failed with ${EPYTHON}"
 }


             reply	other threads:[~2015-10-19 16:29 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-19 16:29 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-02-13 16:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/numpydoc/ Kacper Kowalik
2017-01-21 18:54 Agostino Sarubbo
2017-01-22 15:01 Agostino Sarubbo
2017-01-29 17:15 Fabian Groffen
2017-02-02 18:43 David Seifert
2017-03-12 12:31 Zac Medico
2017-03-16  7:06 Michael Weber
2017-05-03  7:37 Michał Górny
2017-06-28  4:02 Sebastien Fabbro
2017-07-17 13:29 Alexis Ballier
2018-02-25 21:52 Sergei Trofimovich
2019-04-27 18:50 Virgil Dupras
2019-05-02 15:11 Virgil Dupras
2019-12-03  3:02 Aaron Bauman
2020-01-29 16:26 Michał Górny
2020-02-26 17:32 Rick Farina
2020-02-26 17:50 Rick Farina
2020-03-25 13:25 Michał Górny
2020-03-25 13:25 Michał Górny
2020-04-26  3:12 Patrick McLean
2020-05-18 10:40 Michał Górny
2020-05-29 17:23 Michał Górny
2020-05-30  8:56 Michał Górny
2020-05-30 16:20 Michał Górny
2020-05-30 19:48 Michał Górny
2020-06-01 20:30 Michał Górny
2020-06-08 20:18 Michał Górny
2020-07-05  6:09 Michał Górny
2020-07-09 13:01 Michał Górny
2020-08-14  5:10 Sam James
2020-11-29 21:02 Sam James
2021-05-31 20:31 Michał Górny
2021-06-20  1:55 Sam James
2021-09-06  0:18 Sam James
2021-09-08 16:19 Sam James
2021-10-14 12:12 Arthur Zamarin
2021-10-14 12:12 Arthur Zamarin
2021-11-14 20:35 Sam James
2021-11-18  8:10 Sam James
2022-01-17  5:33 Joshua Kinard
2022-01-24 22:14 Michał Górny
2022-01-29 22:13 James Le Cuirot
2022-03-15 12:33 Jakov Smolić
2022-03-15 14:17 Michał Górny
2022-04-15  6:52 Sam James
2022-04-26 10:56 Michał Górny
2022-04-30  7:35 Michał Górny
2022-05-01  6:41 Michał Górny
2022-05-27  9:21 Jakov Smolić
2022-05-27 19:53 Michał Górny
2022-06-10  8:25 Michał Górny
2022-07-10 16:58 Sam James
2022-07-10 19:09 Michał Górny
2022-08-31 12:38 Andrew Ammerlaan
2022-10-10 14:04 Michał Górny
2022-11-10 19:03 Arthur Zamarin
2022-11-10 19:25 Arthur Zamarin
2023-09-26  4:42 Michał Górny
2023-10-27 19:32 Sam James
2023-10-28 15:23 Michał Górny
2023-10-28 15:23 Michał Górny
2023-11-10  5:47 Viorel Munteanu
2024-03-30  5:53 Michał Górny
2024-04-13 16:01 Arthur Zamarin
2024-05-27 15:30 Michał Górny
2024-06-30 11:51 Petr Vaněk
2024-07-25  3:12 Michał Górny
2024-08-10  5:26 Michał Górny
2024-08-24  8:10 Sam James
2024-08-24 13:06 Michał Górny
2025-02-19 20:22 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445272151.7f3f531753c50c9dea30b7b74c79112d1bb07a68.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox